## rust-rpm-sequoia 1.9.0

=== Makefile ===
# To download this Makefile, run:
#
# $ wget 'https://gitlab.com/sequoia-pgp/common-ci/-/raw/main/Makefile?ref_type=heads&inline=false'
#
# To update this Makefile, run:
#
# $ make Makefile

all:
	@echo "Try:"
	@echo "$ make deny"

update: Makefile

.PHONY: deny
deny: deny.toml
	cargo deny check

# The configuration files that we can update.
.PHONY: deny.toml
deny.toml:
	$(call update-file "$@")

# We can also update the Makefile.
Makefile:
	$(call update-file "$@")

# Download the latest version of the configuration file.  If it
# changed, save the old version to $@.bak, and show a diff.
define update-file =
	T=$$(mktemp); \
	wget 'https://gitlab.com/sequoia-pgp/common-ci/-/raw/main/$@?ref_type=heads&inline=false' -O "$$T" \
	&& echo "***************" \
	&& if test -e "$@"; then \
		if ! diff -u "$$T" "$@"; then \
			echo "*** $@ was out of date."; \
			cp "$@" "$@.bak"; \
			echo "(old version saved to $@.bak)"; \
			mv "$$T" "$@"; \
		else \
			echo "$@ was up to date."; \
			rm "$$T"; \
		fi; \
	else \
		echo "Downloaded $@"; \
		mv "$$T" "$@"; \
	fi
endef

## rust-rpm-sequoia 1.7.0

=== debian/changelog ===
rust-rpm-sequoia (1.7.0-3) unstable; urgency=medium

  * Package rpm-sequoia 1.7.0 from crates.io using debcargo 2.7.7
    - ship pkgconfig/rpm-sequoia.pc in -dev package.

 -- Holger Levsen <holger@debian.org>  Fri, 07 Mar 2025 21:35:57 +0100

rust-rpm-sequoia (1.7.0-2) unstable; urgency=medium

  * Package rpm-sequoia 1.7.0 from crates.io using debcargo 2.7.7
    - ship pkgconfig/rpm-sequoia.pc. Closes: #1096205.
    - update d/copyright years.
    - mark librpm-sequoia-dev as Multi-Arch: same.

 -- Holger Levsen <holger@debian.org>  Wed, 26 Feb 2025 16:22:46 +0100

rust-rpm-sequoia (1.7.0-1) unstable; urgency=medium

  * Package rpm-sequoia 1.7.0 from crates.io using debcargo 2.7.5

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Sun, 22 Dec 2024 14:44:21 +0100

=== debian/control ===
Source: rust-rpm-sequoia
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native (>= 1.73) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev <!nocheck>,
 librust-buffered-reader-1-dev <!nocheck>,
 librust-cdylib-link-lines-0.1+default-dev (>= 0.1.4-~~) <!nocheck>,
 librust-chrono-0.4+std-dev <!nocheck>,
 librust-lazy-static-1+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21.1-~~) <!nocheck>,
 librust-sequoia-openpgp-1-dev (>= 1.21.1-~~) <!nocheck>,
 librust-sequoia-policy-config-0.7+default-dev <!nocheck>,
 librust-thiserror-1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/rpm-sequoia]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/rpm-sequoia
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: rpm-sequoia
Rules-Requires-Root: no

Package: librpm-sequoia-1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Provides an implementation of the
 rpm's pgp interface using Sequoia.

Package: librpm-sequoia-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librpm-sequoia-1 (= ${binary:Version}),
Description: Provides an implementation of the
 rpm's pgp interface using Sequoia.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

export CARGO_HOME = $(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE = rpm-sequoia_$(DEB_VERSION_UPSTREAM)

CARGO = /usr/share/cargo/bin/cargo

%:
	dh $@

override_dh_auto_configure:
	$(CARGO) prepare-debian /usr/share/cargo/registry

override_dh_auto_build:
	$(CARGO) build --release
	# adjust the filename built:
	debian/scripts/post-build ${DEB_VERSION_UPSTREAM}

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.7.0 --all-targets --all-features
Features: test-name=rust-rpm-sequoia:@
Depends: dh-cargo (>= 31), rustc (>= 1.73), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.7.0 --all-targets --no-default-features --features crypto-botan
Features: test-name=librust-rpm-sequoia-dev:crypto-botan
Depends: dh-cargo (>= 31), rustc (>= 1.73), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.7.0 --all-targets --no-default-features --features crypto-botan2
Features: test-name=librust-rpm-sequoia-dev:crypto-botan2
Depends: dh-cargo (>= 31), rustc (>= 1.73), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.7.0 --all-targets --no-default-features --features crypto-nettle
Features: test-name=librust-rpm-sequoia-dev:crypto-nettle
Depends: dh-cargo (>= 31), rustc (>= 1.73), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.7.0 --all-targets --no-default-features --features crypto-openssl
Features: test-name=librust-rpm-sequoia-dev:crypto-openssl
Depends: dh-cargo (>= 31), rustc (>= 1.73), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.7.0 --all-targets
Features: test-name=librust-rpm-sequoia-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.73), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.7.0 --all-targets --no-default-features
Features: test-name=librust-rpm-sequoia-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.73), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

## rust-rpm-sequoia 1.8.0

=== debian/changelog ===
rust-rpm-sequoia (1.8.0-2) unstable; urgency=medium

  * Team upload.
  * don't mark B-D as <!nocheck> (Closes: #1102653)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 12 Apr 2025 11:43:53 +0200

rust-rpm-sequoia (1.8.0-1) unstable; urgency=medium

  * Package rpm-sequoia 1.8.0 from crates.io using debcargo 2.7.8
    - refresh patches, drop relax-deps.patch.
    - rm Cargo.lock in d/rules to workaround a side-effect of not using
      dh-cargo.
    - d/control: drop librust-buffered-reader-1-dev from Build-Depends-Arch,
      as it also isn't mentioned in control.debcargo.hint.

 -- Holger Levsen <holger@debian.org>  Wed, 02 Apr 2025 09:31:10 +0200

rust-rpm-sequoia (1.7.0-4) unstable; urgency=medium

  * Package rpm-sequoia 1.7.0 from crates.io using debcargo 2.7.8

  [ Holger Levsen ]
  * Install librpm_sequoia.so* in the correct directory. Closes: #1099813.
  * Hack debian/scripts/post-build to inject the correct content into the
    pkg-config file. Closes: #1099813.

  [ NoisyCoil ]
  * Make librpm-sequoia-dev Replace/Break librpm-sequoia-1 << 1.7.0-3
    Closes: #1099839

 -- Holger Levsen <holger@debian.org>  Thu, 27 Mar 2025 18:56:48 +0100

=== debian/control ===
Source: rust-rpm-sequoia
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native (>= 1.79),
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-cdylib-link-lines-0.1+default-dev (>= 0.1.4-~~),
 librust-chrono-0.4+std-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-sequoia-openpgp-2+crypto-nettle-dev,
 librust-sequoia-openpgp-2-dev,
 librust-sequoia-policy-config-0.8+default-dev,
 librust-thiserror-1+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/rpm-sequoia]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/rpm-sequoia
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: rpm-sequoia
Rules-Requires-Root: no

Package: librpm-sequoia-1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Provides an implementation of the
 rpm's pgp interface using Sequoia.

Package: librpm-sequoia-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librpm-sequoia-1 (= ${binary:Version}),
Replaces:
 librpm-sequoia-1 (<< 1.7.0-3),
Breaks:
 librpm-sequoia-1 (<< 1.7.0-3),
Description: Provides an implementation of the
 rpm's pgp interface using Sequoia.

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,10 @@
 override_dh_auto_configure:
 	$(CARGO) prepare-debian /usr/share/cargo/registry
 
+execute_before_dh_auto_build:
+	# we are not using dh-cargo, hence we need to add this workaround:
+	rm -f Cargo.lock
+
 override_dh_auto_build:
 	$(CARGO) build --release
 	# adjust the filename built:

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.8.0 --all-targets --all-features
Features: test-name=rust-rpm-sequoia:@
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.8.0 --all-targets --no-default-features --features crypto-botan
Features: test-name=librust-rpm-sequoia-dev:crypto-botan
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.8.0 --all-targets --no-default-features --features crypto-botan2
Features: test-name=librust-rpm-sequoia-dev:crypto-botan2
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.8.0 --all-targets --no-default-features --features crypto-nettle
Features: test-name=librust-rpm-sequoia-dev:crypto-nettle
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.8.0 --all-targets --no-default-features --features crypto-openssl
Features: test-name=librust-rpm-sequoia-dev:crypto-openssl
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.8.0 --all-targets
Features: test-name=librust-rpm-sequoia-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.8.0 --all-targets --no-default-features
Features: test-name=librust-rpm-sequoia-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.79), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

## rust-rpm-sequoia 1.9.0

=== debian/changelog ===
rust-rpm-sequoia (1.9.0-1) unstable; urgency=medium

  * Package rpm-sequoia 1.9.0 from crates.io using debcargo 2.7.8
    - Closes: #1119275

 -- Holger Levsen <holger@debian.org>  Sat, 01 Nov 2025 13:56:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo
 Build-Depends-Arch: cargo:native,
- rustc:native (>= 1.79),
+ rustc:native (>= 1.85),
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
  librust-cdylib-link-lines-0.1+default-dev (>= 0.1.4-~~),
@@ -14,7 +14,7 @@
  librust-sequoia-openpgp-2+crypto-nettle-dev,
  librust-sequoia-openpgp-2-dev,
  librust-sequoia-policy-config-0.8+default-dev,
- librust-thiserror-1+default-dev
+ librust-thiserror+default-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Alexander Kjäll <alexander.kjall@gmail.com>,

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.9.0 --all-targets --all-features
Features: test-name=rust-rpm-sequoia:@
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.9.0 --all-targets --no-default-features --features crypto-botan
Features: test-name=librust-rpm-sequoia-dev:crypto-botan
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.9.0 --all-targets --no-default-features --features crypto-botan2
Features: test-name=librust-rpm-sequoia-dev:crypto-botan2
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.9.0 --all-targets --no-default-features --features crypto-nettle
Features: test-name=librust-rpm-sequoia-dev:crypto-nettle
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.9.0 --all-targets --no-default-features --features crypto-openssl
Features: test-name=librust-rpm-sequoia-dev:crypto-openssl
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.9.0 --all-targets
Features: test-name=librust-rpm-sequoia-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.9.0 --all-targets --no-default-features
Features: test-name=librust-rpm-sequoia-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/rpm-sequoia-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/rpm-sequoia .*/crates/rpm-sequoia/@ANY_VERSION@/download

## rust-rpm-sequoia 1.10.0

=== debian/changelog ===
rust-rpm-sequoia (1.10.0-1) unstable; urgency=medium

  * Package rpm-sequoia 1.10.0 from crates.io using debcargo 2.7.8
    - bump standards version to 4.7.2, no changes needed.
    - drop Rules-Requires-Root: no (now the default).

 -- Holger Levsen <holger@debian.org>  Mon, 08 Dec 2025 15:11:22 +0100

=== debian/control ===
--- 
+++ 
@@ -14,17 +14,17 @@
  librust-sequoia-openpgp-2+crypto-nettle-dev,
  librust-sequoia-openpgp-2-dev,
  librust-sequoia-policy-config-0.8+default-dev,
- librust-thiserror+default-dev
+ librust-thiserror+default-dev (<< 3-~~),
+ librust-thiserror+default-dev (>= 1-~~)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Alexander Kjäll <alexander.kjall@gmail.com>,
  Holger Levsen <holger@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/rpm-sequoia]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/rpm-sequoia
 Homepage: https://sequoia-pgp.org/
 X-Cargo-Crate: rpm-sequoia
-Rules-Requires-Root: no
 
 Package: librpm-sequoia-1
 Section: libs

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.0 --all-targets --all-features
Features: test-name=rust-rpm-sequoia:@
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.0 --all-targets --no-default-features --features crypto-botan
Features: test-name=librust-rpm-sequoia-dev:crypto-botan
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.0 --all-targets --no-default-features --features crypto-botan2
Features: test-name=librust-rpm-sequoia-dev:crypto-botan2
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.0 --all-targets --no-default-features --features crypto-nettle
Features: test-name=librust-rpm-sequoia-dev:crypto-nettle
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.0 --all-targets --no-default-features --features crypto-openssl
Features: test-name=librust-rpm-sequoia-dev:crypto-openssl
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.0 --all-targets
Features: test-name=librust-rpm-sequoia-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.0 --all-targets --no-default-features
Features: test-name=librust-rpm-sequoia-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

## rust-rpm-sequoia 1.10.1

=== debian/changelog ===
rust-rpm-sequoia (1.10.1-2) unstable; urgency=medium

  * Team upload.
  * Package rpm-sequoia 1.10.1 from crates.io using debcargo 2.8.1
  * Drop <!nocheck> annotations from d/control (Closes: 1128864)
  * Move librpm-sequoia-* packages to debcargo.toml
  * Extend librpm-sequoia-* descriptions

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 24 Feb 2026 20:37:52 +0100

rust-rpm-sequoia (1.10.1-1) unstable; urgency=medium

  * Package rpm-sequoia 1.10.1 from crates.io using debcargo 2.7.11

 -- Holger Levsen <holger@debian.org>  Sun, 22 Feb 2026 13:23:34 +0100

=== debian/control ===
Source: rust-rpm-sequoia
Section: rust
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native (>= 1.85),
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-cdylib-link-lines-0.1+default-dev (>= 0.1.4),
 librust-chrono-0.4+std-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-sequoia-openpgp-2+crypto-nettle-dev,
 librust-sequoia-openpgp-2-dev,
 librust-sequoia-policy-config-0.8+default-dev,
 librust-thiserror+default-dev (<< 3),
 librust-thiserror+default-dev (>= 1)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/rpm-sequoia]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/rpm-sequoia
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: rpm-sequoia
X-Cargo-Crate-Version: 1.10.1

Package: librpm-sequoia-1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Provides an implementation of the rpm's pgp interface using Sequoia.
 This package contains the shared library librpm-sequoia.

Package: librpm-sequoia-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${misc:Depends},
 librpm-sequoia-1 (= ${binary:Version})
Replaces:
 librpm-sequoia-1 (<< 1.7.0-3)
Breaks:
 librpm-sequoia-1 (<< 1.7.0-3)
Description: Provides an implementation of the rpm's pgp interface using Sequoia.
 This package contains the development files for librpm-sequoia.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.1 --all-targets --all-features
Features: test-name=rust-rpm-sequoia:@
Depends: dh-cargo (>= 33~), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.1 --all-targets --no-default-features --features crypto-botan
Features: test-name=librust-rpm-sequoia-dev:crypto-botan
Depends: dh-cargo (>= 33~), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.1 --all-targets --no-default-features --features crypto-botan2
Features: test-name=librust-rpm-sequoia-dev:crypto-botan2
Depends: dh-cargo (>= 33~), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.1 --all-targets --no-default-features --features crypto-nettle
Features: test-name=librust-rpm-sequoia-dev:crypto-nettle
Depends: dh-cargo (>= 33~), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.1 --all-targets --no-default-features --features crypto-openssl
Features: test-name=librust-rpm-sequoia-dev:crypto-openssl
Depends: dh-cargo (>= 33~), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.1 --all-targets
Features: test-name=librust-rpm-sequoia-dev:default
Depends: dh-cargo (>= 33~), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test rpm-sequoia 1.10.1 --all-targets --no-default-features
Features: test-name=librust-rpm-sequoia-dev:
Depends: dh-cargo (>= 33~), rustc (>= 1.85), librust-assert-cmd-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/rpm-sequoia
Matching-Pattern:  .*/crates/rpm-sequoia/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/rpm-sequoia-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Dversionmangle: s/@DEB_EXT@//g
Compression: gzip
